import 'package:flutter/material.dart';
import './route_ani_manage.dart';

class RouteAniObserverProvider extends InheritedWidget {

  RouteAniObserverProvider({
    Key key,
    Widget child
  }): super(key: key, child: child);

  RouteAniManage routeAniManage = RouteAniManage();

  static RouteAniManage of (BuildContext context) {
    return (context.inheritFromWidgetOfExactType(RouteAniObserverProvider) as RouteAniObserverProvider).routeAniManage;
  }

  @override
  bool updateShouldNotify(InheritedWidget oldWidget) {
    return false;
  }
}